View Issue Details

IDProjectCategoryView StatusLast Update
0021027PatchesOtherpublic2013-09-03 10:07
ReporterJoachim Paepke Assigned ToJesus Reyes  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi386OSLinux  
Product Version0.9.31 (SVN) 
Fixed in Version0.99.1 (SVN) 
Summary0021027: TPostScriptPrinterCanvas.ClipRect is empty-rect until explicitly set by user
DescriptionThe ClipRect of TPostScriptPrinterCanvas is never initialized and therefor always returns an empty rect with Rect(0,0,0,0)
I propose to initialize the ClipRect of TPostScriptPrinterCanvas in its BeginDoc
with the Printer.PaperSize.PaperRect.WorkRect. (Attached patch does this)
With this TPostScriptPrinterCanvas can be uses like other canvases where the ClipRect often is used to determine the usable size of the canvas.
TagsNo tags attached.
Fixed in Revision37043
LazTarget1.4
WidgetsetGTK 2
Attached Files

Activities

2012-01-05 09:36

 

postscriptcanvas.diff (417 bytes)   
Index: postscriptcanvas.pas
===================================================================
--- postscriptcanvas.pas	(Revision 34570)
+++ postscriptcanvas.pas	(Arbeitskopie)
@@ -1504,6 +1504,10 @@
   WriteHeader('');
   WriteHeader('%%Page: 1 1');
   WritePageTransform;
+
+  if assigned(printer) then
+    FLazClipRect:=printer.PaperSize.PaperRect.WorkRect;
+
 end;
 
 procedure TPostScriptPrinterCanvas.EndDoc;
postscriptcanvas.diff (417 bytes)   

Jesus Reyes

2012-04-26 21:02

developer   ~0059029

Applied, thanks.

Joachim Paepke

2012-04-27 09:44

reporter   ~0059043

Ok

Issue History

Date Modified Username Field Change
2012-01-05 09:36 Joachim Paepke New Issue
2012-01-05 09:36 Joachim Paepke File Added: postscriptcanvas.diff
2012-01-05 09:36 Joachim Paepke Widgetset => GTK 2
2012-02-04 10:25 Zeljan Rikalo LazTarget => post 1.2
2012-03-11 10:20 Vincent Snijders Status new => acknowledged
2012-03-19 15:08 Vincent Snijders Assigned To => Jesus Reyes
2012-03-19 15:08 Vincent Snijders Status acknowledged => assigned
2012-04-26 21:02 Jesus Reyes Fixed in Revision => 37043
2012-04-26 21:02 Jesus Reyes Status assigned => resolved
2012-04-26 21:02 Jesus Reyes Fixed in Version => 0.99.1 (SVN)
2012-04-26 21:02 Jesus Reyes Resolution open => fixed
2012-04-26 21:02 Jesus Reyes Note Added: 0059029
2012-04-27 09:44 Joachim Paepke Status resolved => closed
2012-04-27 09:44 Joachim Paepke Note Added: 0059043
2013-09-03 10:07 Martin Friebe LazTarget post 1.2 => 1.4